Subject: bug#37878: [PATCH] Add auto-insert skeleton for ".dir-locals.el"

From: Stefan Kangas <[email-masked]>
Date: Wed, 23 Oct 2019 01:04:15 +0200

Steps to reproduce:
0. emacs -Q
1. M-x auto-insert-mode
2. C-x C-f .dir-locals.el RET

Result: The entire Emacs standard header gets inserted into the
buffer, complete with author, copyright notice, provide-statement,
etc.
Expected result: Either don't insert anything or use a custom skeleton.

Please find attached a proposed patch, which adds a skeleton for
"dir-locals.el" to auto-insert-alist.  I believe it would make it
easier for especially beginning Emacs users to use ".dir-locals.el".
(Open the file, type M-x auto-insert, and voilá.)

Any comments?

Best regards,
Stefan Kangas